MAGP 2026-07-01
Major updates to the Canadian and US dictionaries.

Removed Americanisms from the GB dictionary.

Removed Britishisms from the US dictionary.

Added MAXNGRAMSUGS 7 to keep spelling suggestions more focused and reduce noise.

Switched to FLAG UTF-8 after running out of flags.

Added flag “í” for American English -ist, -ist's and -ists forms (single-L words).

Added ' to WORDCHARS to recognise words such as 'gainst.

Added REP entry: "teh" → "the".

Added possessive forms for most -ness nouns.

Added numerous derived forms, including plurals and possessives.


MAGP 2026-05-01
Flag enhancements, mainly for U.S. words.


MAGP 2026-03-07
Critical update: An issue in the US dictionary was caused by my tool automatically
removing prefixes from lemmas in the removal list — a feature that seemed helpful
but proved problematic.


MAGP 2026-03-01
Flag enhancements, mainly for U.S. words.

Major fixes and improvements to the US dictionary.


MAGP 2026-02-01
Flag enhancements, mainly for U.S. words.

Major fixes and improvements to the US, CA, and AU dictionaries.

Added an OED (Oxford English Dictionary) dictionary to the LibreOffice extension.


MAGP 2026-01-01
Marco began maintaining alternative versions of the US, CA, and AU dictionaries.

Merged the GB dictionary into the ZA dictionary.

Aligned all five dictionaries to the GB versioning format for consistency.

Removed numerous Americanisms from the GB dictionary.

The hyph US and GB files now use UTF-8-BOM Unix (LF).

The thesaurus now uses UTF-8-BOM Unix (LF).

Improved image for extension.

Updated all five English dictionaries.


=======================================================================


MAGP 2025-09-01
Better -ise/-ize handling.

Updated the Dictionaries:
- GB (-ise) (Marco A.G.Pinto): wordlist entries: 276069
- ZA (-ise) (Marco A.G.Pinto): wordlist entries: 216009


MAGP 2025-07-01
Better -ise/-ize handling.

Updated the Dictionaries:
- GB (-ise) (Marco A.G.Pinto): wordlist entries: 275092
- ZA (-ise) (Marco A.G.Pinto): wordlist entries: 214982


MAGP 2025-04-01
Better -ise/-ize handling.

Updated the Dictionaries:
- GB (-ise) (Marco A.G.Pinto): wordlist entries: 274149
- ZA (-ise) (Marco A.G.Pinto): wordlist entries: 213876


MAGP 2025-03-01
New icon for the extension in 128×128 pixels.

Unified the ZA flags with GB (~2800 new words including fixes in some).

Taken from ZA to GB: #PHONEtic transformation rules for use with #PHONEtic.c.

Updated the Dictionaries:
- GB (-ise) (Marco A.G.Pinto): wordlist entries: 274076
- ZA (-ise) (Marco A.G.Pinto): wordlist entries: 213689 (merged proper names and uncountable nouns from GB)


MAGP 2025-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 343 new words
- ZA (Marco A.G.Pinto): wordlist entries: 148695


=======================================================================


MAGP 2024-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 218 new words
- ZA: wordlist entries: 147590


MAGP 2024-08-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 250 new words
- ZA: wordlist entries: 147370

Simplified the release notes.


MAGP 2024-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 301 new words
- ZA: wordlist entries: 146153


MAGP 2024-06-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 331 new words
- ZA: wordlist entries: 145854


MAGP 2024-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 204 new words
- ZA
  - Improved flag “S” adding 9 words (possessives)
  - Improved flag “N” adding 1114 words (possessives)


MAGP 2024-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 191 new words


MAGP 2024-03-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 199 new words


MAGP 2024-02-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 181 new words
- US + CA + AU
  - Fix: apostrophe handling, by adding: WORDCHARS 0123456789’ to the .aff
- ZA
  - Fix: Removed the: ICONV ’ ' because it was already at the end of the .aff
    Fix: apostrophe handling, by adding: WORDCHARS 0123456789’ to the .aff
    Improved flag J adding 424 words.


MAGP 2024-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 642 new words


=======================================================================


MAGP 2023-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 304 new words


MAGP 2023-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 479 new words


MAGP 2023-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 741 new words


MAGP 2023-09-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 318 new words


MAGP 2023-08-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 369 new words


MAGP 2023-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 479 new words


MAGP 2023-06-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 421 new words


MAGP 2023-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 835 new words


MAGP 2023-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 323 new words


MAGP 2023-03-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 523 new words(1)
  (1) Flag J was improved and it added 490 entries (possessives).
      Removed tons of possessives in plurals ending with "s".


MAGP 2023-02-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 310 new words

- South African (2023-02-01):
  - Added: Czechia + Czechia's
  - Fixed/improved: flag 3


MAGP 2023-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 283 new words

- South African (2023-01-01):
  - Added the: ICONV ’ '
  - Sorted alphabetically the tags of the .aff


=======================================================================


MAGP 2022-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 376 new words


MAGP 2022-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 427 new words


MAGP 2022-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 705 new words


MAGP 2022-09-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 481 new words


MAGP 2022-08-01
Updated the Dictionaries:
- South African:
  - Fixed the flag ! at start of words
  - Removed duplicate words
  - Sorted alphabetically the dictionary

- GB (Marco A.G.Pinto): 363 new words


MAGP 2022-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 312 new words


MAGP 2022-06-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 415 new words


MAGP 2022-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 465 new words


MAGP 2022-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 708 new words


MAGP 2022-03-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 679 new words


MAGP 2022-02-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1061 new words


MAGP 2022-01-01
The description is now the LibreOffice one and added variants for the most important locales.

There are now OpenOffice and LibreOffice specific extensions to enable triggering autoupdate on both offices.

Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1593 new words


=======================================================================


MAGP 2021-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 951 new words


MAGP 2021-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1026 new words


MAGP 2021-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1147 new words


MAGP 2021-09-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1437 new words


MAGP 2021-08-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1225 new words


MAGP 2021-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1171 new words


MAGP 2021-06-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 808 new words


MAGP 2021-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 931 new words


MAGP 2021-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1560 new words


MAGP 2021-03-01
Updated the Dictionaries:
- South African (small fix: https://bugs.documentfoundation.org/show_bug.cgi?id=140102) 
- GB (Marco A.G.Pinto): 1791 new words


MAGP 2021-02-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1568 new words


MAGP 2021-01-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): 1181 new words


=======================================================================


MAGP 2020-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1131 new words


MAGP 2020-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 964 new words


MAGP 2020-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 740 new words (2020-09-01) + 447 new words (2020-10-01)


MAGP 2020-08-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 634 new words


MAGP 2020-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1004 new words


MAGP 2020-06-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 2874 new words


MAGP 2020-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 2404 new words


MAGP 2020-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 2149 new words(1)
    (1) Added tons of plurals and possessives.
        Added tons of COVID-19 related terms.
        Removed hundreds of duplicates.


MAGP 2020-03-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1507 new words


MAGP 2020-02-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1834 new words


MAGP 2020-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1673 new words (2019-12-01) + 1543 new words (2020-01-01)


=======================================================================


MAGP 2019-11-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)*
  * GB has 1081 new words(1) (2019-10-01) + 1255 new words (2019-11-01)
    (1) at least, because TOTAL_NEW_WORDS = TOTAL_CURRENT_WORDS - TOTAL_PREVIOUS_WORDS
        and tons of duplicates were removed and cleaned/simplified the .dic.
        There were also tons of plurals/possessives added (WIP).


MAGP 2019-09-01
Converted some line endings in this file from Windows to Unix.

Updated the Dictionaries:
- GB (Marco A.G.Pinto)*
  * GB has 2822 new words(1) (2019-08-01) + 1705 new words(1) (2019-09-01)
    (1) at least, because TOTAL_NEW_WORDS = TOTAL_CURRENT_WORDS - TOTAL_PREVIOUS_WORDS
        and tons of duplicates were removed and cleaned/simplified the .dic.
        There were also tons of plurals/possessives added (WIP).


MAGP 2019-07-01
Improved the description of the Extension

Updated the Dictionaries:
- GB (Marco A.G.Pinto)*
  * GB has 614 new words (2019-06-01) + 180 new words(1) (2019-07-01)
    (1) at least, because TOTAL_NEW_WORDS = TOTAL_CURRENT_WORDS - TOTAL_PREVIOUS_WORDS
        and tons of duplicates were removed and cleaned/simplified the .dic.
        There were also tons of plurals/possessives added (WIP).


MAGP 2019-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 2358 new words (2019-04-01) + 458 new words (2019-05-01)


MAGP 2019-03-01
Added the LGPL_V3 License .txt into the Extension.

Updated the Dictionaries:
- GB (Marco A.G.Pinto): 764 new words (2019-02-01) + 1046 new words (2019-03-01)


MAGP 2019-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1529 new words (2018-12-01) + 1175 new words (2019-01-01)


=======================================================================


MAGP 2018-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 5225 new words (2018-10-01) + 1138 new words (2018-11-01)


MAGP 2018-09-01
Improved the logo quality since Pedro Marques sent me the original model resizable in all sizes.

Updated the Dictionaries:
- GB (Marco A.G.Pinto): 5101 new words (2018-08-01) + 14713 new words (2018-09-01)


MAGP 2018-07-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): new words (2018-06-01) + 7101 new words (2018-07-01)


MAGP 2018-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 820 new words (2018-04-01) + 857 new words (2018-05-01)


MAGP 2018-03-01
Simplified the Extension description.

Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1421 new words (2018-02-01) + 1208 new words (2018-03-01)


MAGP 2018-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1483 new words (2017-12-01) + 3034 new words (2018-01-01)
  In November + December, I added THOUSANDS of possessives to proper names.
  Added 500+ proper names.


=======================================================================


MAGP 2017-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 467 new words (2017-10-01) + 824 new words (2017-11-01)


MAGP 2017-09-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): 473 new words (2017-08-01) + 297 new words (2017-09-01)


MAGP 2017-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 480 new words (2017-06-01) + 433 new words (2017-07-01)


MAGP 2017-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 431 new words (2017-04-01) + 271 new words (2017-05-01)


MAGP 2017-03-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): 638 new words (2017-02-01) + 326 new words (2017-03-01)


MAGP 2017-01-01
Updated the Dictionaries:
- Australian (Kevin Atkinson)
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): 488 new words (2016-12-01) + 554 new words (2017-01-01)


=======================================================================


MAGP 2016-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 710 new words (2016-10-01) + 735 new words (2016-11-01)


MAGP 2016-09-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto): 773 new words (2016-08-01) + 728 new words (2016-09-01)
    GB changelog is no longer included in the README file, instead there are links
    inside it pointing to the information (lower filesize).


MAGP 2016-07-01
Updated the hyphenation patterns to 2011-10-07 (from LibreOffice): US + GB

Updated the Dictionaries:
- GB (Marco A.G.Pinto): 1107 new words (2016-06-01) + 738 new words (2016-07-01)
  It now uses NOSUGGEST flag for offensive words.
  It now uses COMPOUNDING (Áron Budea).


MAGP 2016-05-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 811 new words


MAGP 2016-04-01
Updated the Dictionaries:
- Australian (2016-03-14): Australian had all UTF-8 corrupt words fixed by Marco
- GB (Marco A.G.Pinto): 819 new words and attempted to make compatible with the command line using the UTF-8 apostrophe
- South African (Dwayne Bailey) (2012-07-10)


MAGP 2016-03-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto): 935 new words

Converted the US Thesaurus into UTF-8 and removed 752 duplicated meanings.


MAGP 2016-02-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2016-01-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


=======================================================================


MAGP 2015-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-09-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2015-08-01
It is now compatible with the latest version of LibreOffice.

Improved the description text.

Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-07-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-06-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2015-05-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2015-04-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2015-03-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2015-02-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2015-01-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


=======================================================================


MAGP 2014-12-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2014-11-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2014-10-01
Updated the Dictionaries:
- GB (Marco A.G.Pinto)


MAGP 2014-09-01
Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2014-07-01
Changed the publisher name in description.xml to "Marco A.G.Pinto" since
Ariel Constenla-Haile and Andrea Pescetti from Apache told me that the one being
used, "Apache OpenOffice", had a license incompatibility.

Updated the GB dictionary.


MAGP 2014-06-01
Fixed the Extension URL in the description, since the old URL was temporary.

Updated the Dictionaries:
- American (Kevin Atkinson)
- Canadian (Kevin Atkinson)
- GB (Marco A.G.Pinto)


MAGP 2014-02-10
The extension, in the Extension Manager, now has an icon, a name with a link and a description.

Updated the GB dictionary.


MAGP 2014-01-07
Updated the GB Dictionary.

Regarding the 2006 version, this one has over 800 new unique words plus the derived ones
Please note that Marco's forked version was based on the non-obfuscated Mozilla version.


=======================================================================


AP 31/7/2013
Modify dictionaries.xcu for better hyphenation, see:
https://issues.apache.org/ooo/show_bug.cgi?id=119087


DNW 20/11/2008
Removed un-Australian -ize variants of words from ths list.


DNW 27/9/2008
A short list of Australian slang terms was added.

Added same new words like 'cellphone' from various online new word lists.


DNW 25/9/2008
Version packaged as English Australian Dictionary Extension version 1 for OpenOffice version 3.


-- Notes for 2.1.1 --
Made some modifications as this dictionary is specifically aimed at Mozilla products and online users.

My modifications:
blog/RDGMS
Bugzilla/M
caffeinate/D
Camino/M
ChatZilla/M
eBay/M
Firefox/M
Flock/M
-gauge/DaGS
gauge/aBDGMS
Google/M
google/SGD
HTML/M
https
inline/D
-install/7NRn
install/7NRnSUGMB
-Internet/M
internet/M
JavaScript/M
Mozilla/M
phish/RG
-plug-in
plug-in/SM
plugin/SM
podcast/MSRG
PowerPoint/M
screenshot/S
SeaMonkey/M
Songbird/M
-spam/DG
spam/DGM
-spammer
spammer/MRS
subdomain/SM
Sunbird/M
Thunderbird/M
toolbar/S
unsubscribe/D
webmaster/MS
webmistress/MS
XULRunner/M


-- Notes for 2.1 -- (Not released)
Based on en_AU_V2.1.zip from http://www.justlocal.com.au

- Removed words with spaces
- Removed trailing spaces from words
- Change accented characters in words where this was valid according to the
  Macquarie English dictionary
- Removed U.S. spellings of the words with ize so only ise and variants remain
- Fixed error in affix file on line 1068 from SFZ to SFX


-- Notes for 0.2 -- 2006-08-03
Gah! A typo in the extension name? New version pronto!


-- Notes for 0.1 -- 2006-08-03
I, Cameron, downloaded the en-AU dictionary file from http://lingucomponent.openoffice.org/spell_dic.html to package it correctly for use in Mozilla applications and distribution through addons.mozilla.org. It was last modified on 2003-03-29. I received no reply after emailing the author, and such have decided to make my own fork (is it still a fork if the previous one isn't maintained?) for Mozilla :) I have also decided to change the license to the GNU General Public License - as per section 3 of the LGPL. 

The en_AU dictionary is credited to Kelvin Eldridge (previous maintainer) <audictionary@onlineconnections.com.au>, Jean Hollis Weber and David Wilson (originally licensed under the LGPL.)

Their changes:
- Words incorrect in Australian English removed
- a list from the previously removed words with corrected spelling was added
- a list of major rivers was added
- a list of place names was added
- a list of Australian mammals was added
- a list of Aboriginal/Koori words commonly used was added

This dictionary was based on the en_GB dictionary, edited by David Bartlett, Brian Kelk and Andrew Brown – (originally licensed under the LGPL.)

Which was in turn initially based on a subset of the original English wordlist created by Kevin Atkinson for Pspell and Aspell – (originally licensed under the LGPL.)

Original affix file created completely from scratch by David Bartlett and Andrew Brown, based on the published rules for MySpell – (originally licensed under the LGPL.)
